@import url('https://fonts.googleapis.com/css2?family=Fira+Mono:wght@400;700&display=swap');

body {
  margin: 0;
  font-family: Arial, sans-serif;
  background-color: #f9f9f9; /* Цвет совпадает с active кнопкой */
  background: url('/assets/media/other/graph_paper_pattern_blue.png') repeat;
}

#gallery-video {
  max-width: 100%;
  max-height: 80vh;
  display: none;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fit, 200px);
  gap: 20px;
  padding: 20px;
  justify-content: center;
  margin: 0 auto; /* Центрируем контейнер на странице */
}

.gallery-item, .gallery-note {
  width: 200px;
  height: 200px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.6s ease, box-shadow 0.6s ease;

  background-size: cover;
  background-position: center;
  cursor: pointer;
} 

.gallery-item:hover, .gallery-note:hover  {
  transform: scale(1.05);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.gallery-text {
  width: 400px;
  height: 400px;
  color: #333333;
  font-size: 12px;
  font-family: Arial, sans-serif;
  line-height: 1.2;
  text-align: justify;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.6s ease, box-shadow 0.6s ease;
  padding: 10px 10px;
  grid-row: span 2;
  grid-column: span 2;
}

h2 {
  font-family: 'Fira Mono', monospace;
  font-size: 16px;
  margin-bottom: 5px;
}

h3 {
  font-family: 'Fira Mono', monospace;
  font-size: 14px;
  margin-bottom: 10px;
}

.tech {
  font-style: italic;
  margin-bottom: 10px;
  line-height: 1.2;
}

strong {
  font-weight: bold;
  font-family: 'Fira Mono', monospace;
}

.site-link {
  font-size: 12px;
  font-family: 'Mono', monospace;
  color: inherit;
  text-decoration: none;
  border: 2px solid transparent;
  border-bottom: 2px solid #40404070;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  padding: 2px 5px;
  transition: border 0.4s ease, background-color 0.4s ease;
}

.site-link:hover {
  background-color: rgba(70, 70, 70, 0.1);
}






.overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
}

.overlay::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url('/assets/media/other/graph_paper_pattern_blue.png') repeat;
  padding: 0;
  margin: 0;
  opacity: 0.9; /* Прозрачность 70% */
  z-index: -1; /* Помещаем псевдоэлемент под содержимое */
}

.overlay img {
  max-width: calc(90vw - 120px); /* Оставляем место для кнопок */
  max-height: 90vh;
  border-radius: 10px;
}

.overlay video {
  max-width: calc(90vw - 120px); /* Оставляем место для кнопок */
  max-height: 90vh;
  border-radius: 5px;
}

.controls {
  position: absolute;
  top: 50%;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  transform: translateY(-50%);
  
}
.controls button {
  background: rgba(70, 70, 70, 0.4);
  border: none;
  padding: 10px 15px;
  cursor: pointer;
  font-size: 18px;
  height: 500px;
  min-width: 50px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.6s ease, box-shadow 0.6s ease;
  flex-shrink: 0; /* Добавлено, чтобы кнопки не уменьшались */
}

.controls button:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}


.prev-button {
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}
.next-button {
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}


footer {
  padding: 10px;
}